Subject: Re: [net Patch] octeontx2-pf: Allow both ntuple and TC features on the interface

From: Jakub Kicinski <[email-masked]>
Date: Wed, 9 Aug 2023 15:26:37 -0700

On Tue, 8 Aug 2023 12:06:23 +0530 Hariprasad Kelam wrote:
> The current implementation does not allow the user to enable both
> hw-tc-offload and ntuple features on the interface. These checks
> are added as TC flower offload and ntuple features internally configures
> the same hardware resource MCAM. But TC HTB offload configures the
> transmit scheduler which can be safely enabled on the interface with
> ntuple feature.
> 
> This patch fixes the issue by relaxing the checks and ensures
> only TC flower offload and ntuple features are mutually exclusive.

Not enabling a feature is not a bug. And it will cause conflicts 
with net-next. Resend for net-next without the Fixes tag, please.
-- 
pw-bot: cr